Bug 1184353 - default thin_check options don't have --clear-needs-check-flag
Summary: default thin_check options don't have --clear-needs-check-flag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1184246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-21 07:47 UTC by Marian Csontos
Modified: 2015-07-22 07:38 UTC (History)
11 users (show)

Fixed In Version: lvm2-2.02.117-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Missing build dependency caused default value for global/thin_check_options lvm.conf option to be incorrectly set during build time. Consequence: Default value for global/thin_check_options missed "--clear-needs-check-flag" option. This caused thin LVs to be still marked as needing a check while it was not necessary. Fix: Proper build dependency has been added which causes proper default value for global/thin_check_options to be set. Result: Default value for global/thin_check_options now includes "--clear-needs-check-flag" option.
Clone Of: 1184246
Environment:
Last Closed: 2015-07-22 07:38:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1411 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2015-07-20 18:06:52 UTC

Comment 2 Marian Csontos 2015-01-21 12:53:02 UTC
This is a low impact change. Shall it go into 6.6.z?

Workaround: Thin-pool users on RHEL6.6 will likely want to add the command line option to lvm.conf.

Comment 4 Nenad Peric 2015-04-13 18:01:58 UTC
The default option found in the new lvm.conf is:

    # thin_check_options = [ "-q", "--clear-needs-check-flag" ]

commented out options are considered default. 


Marking this VERIFIED with:

lvm2-2.02.118-1.el6.x86_64

Comment 5 errata-xmlrpc 2015-07-22 07:38:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1411.html


Note You need to log in before you can comment on or make changes to this bug.